<template>
    <div class="analitaika-time wow fadeInUp">
        <div class="time__left">
            <svg>
                <use xlink:href="/img/sprite.svg#sort-button-with-three-lines"></use>
            </svg>
            Быстрая сортировка по:
        </div>
        <div class="time__right">
            <a href="#" class="right__link" @click.prevent="submit('yesterday')">
                Вчера
            </a>
            <a href="#" class="right__link" @click.prevent="submit('day')">
                24 часа
            </a>
            <a href="#" class="right__link" @click.prevent="submit('2days')">
                48 часов
            </a>
            <a href="#" class="right__link" @click.prevent="submit('week')">
                Неделям
            </a>
            <a href="#" class="right__link" @click.prevent="submit('month')">
                Месяцам
            </a>
            <a href="#" class="right__link" @click.prevent="submit('year')">
                Годам
            </a>
        </div>
    </div>
</template>

<script>
	export default {
		name: "QuickFilter",
        methods: {
		    getStartDate(key){
                if(key === 'yesterday'){
                    return this.$date().subtract(1, 'd').startOf('day');
                }else if(key === 'day'){
                    return this.$date().subtract(1, 'd');
                }else if(key === '2days'){
                    return this.$date().subtract(2, 'd');
                }else if(key === 'week'){
                    return this.$date().subtract(7, 'w');
                }else if(key === 'month'){
                    return this.$date().subtract(7, 'M');
                }else if(key === 'year'){
                    return this.$date().subtract(7, 'y');
                }
            },
		    getEndDate(key){
                if(key === 'yesterday'){
                    return this.$date().subtract(1, 'd').endOf('day');
                }else{
                    return this.$date();
                }
            },
            submit(key){
		        this.$emit('update', {
		            start: this.getStartDate(key).format('YYYY-MM-DD HH:mm'),
		            end: this.getEndDate(key).format('YYYY-MM-DD HH:mm'),
                    key: key,
                })
            }
        }
	}
</script>

<style scoped>

</style>
